/*
 * Copyright (c) 2009, 2010, 2011, 2012, 2013, B3log Team
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.b3log.latke.model;


/**
 * This class defines all label model relevant keys.
 *
 * @author <a href="http://88250.b3log.org">Liang Ding</a>
 * @version 1.0.0.1, May 31, 2010
 */
public final class Label {

    /**
     * Label id.
     */
    public static final String LABEL_ID = "labelId";

    /**
     * Label text.
     */
    public static final String LABEL_TEXT = "labelText";

    /**
     * Labels.
     */
    public static final String LABELS = "labels";

    /**
     * Html title.
     */
    public static final String HTML_TITLE = "htmlTitle";

    /**
     * Private default constructor.
     */
    private Label() {}
}
